Subject: Re: [bug#53473] [PATCH] gnu: Add emacs-fixed-pitch.

From: Nicolas Goaziou <[email-masked]>
Date: Sun, 23 Jan 2022 18:02:06 +0100

Hello,

Brandon Lucas <[email-masked]> writes:

> * gnu/packages/emacs-xyz.scm (emacs-fixed-pitch): New variable.

Thank you.

I applied your patch with the changes below.

> +    (source
> +     (origin
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url "https://github.com/cstby/fixed-pitch-mode")
> +             (commit "f26f96ab65c8452553d803fc39509481ac6b7239")))

I used a tag, namely "v0.1.0" created with (string-append "v" version),
instead of a raw git commit.

Note that if you need to use such a reference, please let-bind it to
`commit' at the beginning of the package and use (commit commit)
instead.

> +       (file-name (git-file-name name version))
> +       (sha256
> +        (base32 "0qlavjvib0r71xdy6y6pan9dhr57lw7jhmqk60mwa8fq6km8kpkj"))))
> +    (build-system emacs-build-system)
> +    (home-page "https://github.com/cstby/fixed-pitch-mode")
> +    (synopsis "Minor mode for setting a monospaced typeface")
> +    (description
> +     "Use a minor mode for setting a monospace typeface, so you can set a
> + proportional typeface for UI elements while keeping a monospaced typeface
> + for code.")

I reworded synopsis and description.

> +    (license license:gpl3)))

The license is actually gpl3+ as the main file has "either version 3 of
the License, or ;; (at your option) any later version." in its header.

Regards,
-- 
Nicolas Goaziou